## org.apache.lucene.analysis.ngram
Class Lucene43NGramTokenizer

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.Tokenizer
                  org.apache.lucene.analysis.ngram.Lucene43NGramTokenizer

All Implemented Interfaces:
  Closeable

Deprecated.

    @Deprecated
    public final class Lucene43NGramTokenizer

extends Tokenizer

Old broken version of `NGramTokenizer`.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary
`static int` `DEFAULT_MAX_NGRAM_SIZE` Deprecated.
`static int` `DEFAULT_MIN_NGRAM_SIZE` Deprecated.

Fields inherited from class org.apache.lucene.analysis.Tokenizer
`input`

Constructor Summary
`Lucene43NGramTokenizer(AttributeSource.AttributeFactory factory, Reader input, int minGram, int maxGram)` Deprecated. Creates NGramTokenizer with given min and max n-grams.
`Lucene43NGramTokenizer(Reader input)` Deprecated. Creates NGramTokenizer with default min and max n-grams.
`Lucene43NGramTokenizer(Reader input, int minGram, int maxGram)` Deprecated. Creates NGramTokenizer with given min and max n-grams.

Method Summary
`void` `end()` Deprecated.
`boolean` `incrementToken()` Deprecated. Returns the next token in the stream, or null at EOS.
`void` `reset()` Deprecated.

Methods inherited from class org.apache.lucene.analysis.Tokenizer
`close, correctOffset, setReader`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_MIN_NGRAM_SIZE

    public static final int DEFAULT_MIN_NGRAM_SIZE

  Deprecated.
  See Also:
    Constant Field Values

### DEFAULT_MAX_NGRAM_SIZE

    public static final int DEFAULT_MAX_NGRAM_SIZE

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### Lucene43NGramTokenizer

    public Lucene43NGramTokenizer(Reader input,
                                  int minGram,
                                  int maxGram)

  Deprecated.
  Creates NGramTokenizer with given min and max n-grams.

  Parameters:
    `input` - `Reader` holding the input to be tokenized
    `minGram` - the smallest n-gram to generate
    `maxGram` - the largest n-gram to generate

### Lucene43NGramTokenizer

    public Lucene43NGramTokenizer(AttributeSource.AttributeFactory factory,
                                  Reader input,
                                  int minGram,
                                  int maxGram)

  Deprecated.
  Creates NGramTokenizer with given min and max n-grams.

  Parameters:
    `factory` - `AttributeSource.AttributeFactory` to use
    `input` - `Reader` holding the input to be tokenized
    `minGram` - the smallest n-gram to generate
    `maxGram` - the largest n-gram to generate

### Lucene43NGramTokenizer

    public Lucene43NGramTokenizer(Reader input)

  Deprecated.
  Creates NGramTokenizer with default min and max n-grams.

  Parameters:
    `input` - `Reader` holding the input to be tokenized

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Deprecated.
  Returns the next token in the stream, or null at EOS.

  Specified by:
    `incrementToken` in class `TokenStream`
  Throws:
    `IOException`

### end

    public void end()

  Deprecated.
  Overrides:
    `end` in class `TokenStream`

### reset

    public void reset()
               throws IOException

  Deprecated.
  Overrides:
    `reset` in class `TokenStream`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.